<template>
  <div>
    <v-btn
      v-if="back"
      @mouseup.stop="goBack"
      class="ma-1 mr-2"
      x-small
      outlined
      fab
      @click="$emit('clear')"
    >
      <v-icon dark>chevron_left</v-icon>
    </v-btn>
    <v-btn v-else text @click="$emit('click')" :disabled="disabled">
      {{ label }}</v-btn
    >
  </div>
</template>
<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator'
@Component({})
export default class FCancelBtn extends Vue {
  @Prop({ default: 'Anullo' }) label!: string
  @Prop({ default: false }) disabled!: boolean
  @Prop({ default: false }) back!: boolean
  goBack() {
    this.$router.go(-1)
  }
}
</script>
